OfflineAnonymizer (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.contrib.failmon
Class OfflineAnonymizer

    java.lang.Object
      org.apache.hadoop.contrib.failmon.OfflineAnonymizer

    public class OfflineAnonymizer

extends Object

This class can be used to anonymize logs independently of Hadoop and the Executor. It parses the specified log file to create log records for it and then passes them to the Anonymizer. After they are anonymized, they are written to a local file, which is then compressed and stored locally.

Nested Class Summary
`static class` | `OfflineAnonymizer.LogType`

Constructor Summary
`OfflineAnonymizer(OfflineAnonymizer.LogType logtype, String filename)` Creates an OfflineAnonymizer for a specific log file.

Method Summary
`void` | `anonymize()` Performs anonymization for the log file.
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OfflineAnonymizer

    public OfflineAnonymizer(OfflineAnonymizer.LogType logtype,
                             String filename)

  Creates an OfflineAnonymizer for a specific log file.

  Parameters:
    `logtype` - the type of the log file. This can either be LogFile.HADOOP or LogFile.SYSTEM
    `filename` - the path to the log file

Method Detail

### anonymize

    public void anonymize()
                   throws Exception

  Performs anonymization for the log file. Log entries are read one by one and EventRecords are created, which are then anonymized and written to the output.

  Throws:
    `Exception`

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation